package com.trs.web2frame.tool.tyjyh.ggzyzheng;

import java.util.Objects;

public class DemoData {
    private String hyChannelId;
    private String channelName;
    private String kpChannelId;
    private String view;

    public DemoData() {
    }

    public DemoData(String hyChannelId, String channelName, String kpChannelId, String view) {
        this.hyChannelId = hyChannelId;
        this.channelName = channelName;
        this.kpChannelId = kpChannelId;
        this.view = view;
    }

    public String getHyChannelId() {
        return hyChannelId;
    }

    public void setHyChannelId(String hyChannelId) {
        this.hyChannelId = hyChannelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getKpChannelId() {
        return kpChannelId;
    }

    public void setKpChannelId(String kpChannelId) {
        this.kpChannelId = kpChannelId;
    }

    public String getView() {
        return view;
    }

    public void setView(String view) {
        this.view = view;
    }

    @Override
    public String toString() {
        return "DemoData{" +
                "hyChannelId='" + hyChannelId + '\'' +
                ", channelName='" + channelName + '\'' +
                ", kpChannelId='" + kpChannelId + '\'' +
                ", view='" + view + '\'' +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DemoData demoData = (DemoData) o;
        return Objects.equals(hyChannelId, demoData.hyChannelId) && Objects.equals(channelName, demoData.channelName) && Objects.equals(kpChannelId, demoData.kpChannelId) && Objects.equals(view, demoData.view);
    }

    @Override
    public int hashCode() {
        return Objects.hash(hyChannelId, channelName, kpChannelId, view);
    }
}
